ru.bitel.bgbilling.kernel.contract.param.common.bean

## Enum ContractParameterPrefType

- java.lang.Object
- - java.lang.Enum<ContractParameterPrefType>
  - - ru.bitel.bgbilling.kernel.contract.param.common.bean.ContractParameterPrefType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContractParameterPrefType>

      public enum ContractParameterPrefType
      extends java.lang.Enum<ContractParameterPrefType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TYPE_ADDRESS`
    `TYPE_CONTRACT_REF`
    `TYPE_DATE`
    `TYPE_EMAIL`
    `TYPE_FLAG`
    `TYPE_LIST`
    `TYPE_MULTILIST`
    `TYPE_PHONE`
    `TYPE_SEPARATOR`
    `TYPE_SERVICING_PERSON`
    `TYPE_TEXT`
    `TYPE_UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `java.lang.String` | `getTableName()`
    `java.lang.String` | `getTitle()`
    `static ContractParameterPrefType` | `getType(int id)`
    `java.lang.String` | `toString()`
    `static ContractParameterPrefType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContractParameterPrefType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_UNKNOWN

          public static final ContractParameterPrefType TYPE_UNKNOWN

    - #### TYPE_TEXT

          public static final ContractParameterPrefType TYPE_TEXT

    - #### TYPE_ADDRESS

          public static final ContractParameterPrefType TYPE_ADDRESS

    - #### TYPE_EMAIL

          public static final ContractParameterPrefType TYPE_EMAIL

    - #### TYPE_SERVICING_PERSON

          public static final ContractParameterPrefType TYPE_SERVICING_PERSON

    - #### TYPE_FLAG

          public static final ContractParameterPrefType TYPE_FLAG

    - #### TYPE_DATE

          public static final ContractParameterPrefType TYPE_DATE

    - #### TYPE_LIST

          public static final ContractParameterPrefType TYPE_LIST

    - #### TYPE_CONTRACT_REF

          public static final ContractParameterPrefType TYPE_CONTRACT_REF

    - #### TYPE_PHONE

          public static final ContractParameterPrefType TYPE_PHONE

    - #### TYPE_SEPARATOR

          public static final ContractParameterPrefType TYPE_SEPARATOR

    - #### TYPE_MULTILIST

          public static final ContractParameterPrefType TYPE_MULTILIST

  - ### Method Detail

    - #### values

          public static ContractParameterPrefType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContractParameterPrefType c : ContractParameterPrefType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContractParameterPrefType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getTitle

          public java.lang.String getTitle()

    - #### getType

          public static ContractParameterPrefType getType(int id)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ContractParameterPrefType>`

    - #### getTableName

          public java.lang.String getTableName()